/* Breakpoints */
$small: 440px; /*-------- Mobile devices*/
$s-medium: 570px; /*-------- Tablet devices*/
$medium: 768px;
$large: 960px;
$x-large: 1060px; /*-------- Desktop devices*/
$xx-large: 1250px;
$xxx-large: 1440px;
$high-quality: 1700px;

/* Colors - Static*/
$colors: (
  primary: #ac1eeb,
  primaryLight: lighten(#ac1eeb, 40%),
  primaryDark: darken(#ac1eeb, 40%),
  primaryRgba: rgba(158, 42, 238),
  primaryRgbaOpacity: rgba(158, 42, 238, 0.7),
  primaryRgbaShadow: rgba(158 42 238 / 70%),
  secondary: #8fff46,
  secondaryRgba: rgba(86, 255, 89),
  secondaryRgbaOpacity: rgba(86, 255, 89, 0.7),
  dark: #000,
  darkRgba: rgba(0, 0, 0),
  darkRgbaOpacity: rgba(0, 0, 0, 0.7),
  darkRgbaShadow: rgba(0 0 0 / 70%),
  light: #fff,
);

/* Z-index */
$z-back: -1;
$z-none: 0;
$z-floor: 1;
$z-medium: 10;
$z-up: 50;
$z-top: 100;
$z-super: 200;

/* variables */
$padding: 1rem;
$margin: 1rem;
$base-size: 16;
$headerToolbarShadow: 0px 0px 16px 17px color(primaryRgbaShadow);
$footerToolbarShadow: 0px 0px 16px 17px color(darkRgbaShadow);
$headerToolbarBackground: linear-gradient(
  to bottom,
  color(primaryRgba) 30%,
  color(primaryRgbaOpacity)
);
$footerToolbarBackground: linear-gradient(
  to top,
  color(darkRgba) 30%,
  color(darkRgbaOpacity)
);
$main-background: linear-gradient(
  to bottom,
  color(primaryRgba),
  color(primaryRgba) 171px,
  color(dark) 500px
);

/* color - function */
@function color($color-name) {
  @return map-get($colors, $color-name);
}

/* Pixels to rem */
@function size($target, $context: $base-size) {
  @return calc($target / $context) * 1rem;
}
